Fetch Transfer Charges (GQL)

Note: All the Fx Pay API's have the endpoint: /graphql

Please refer to the link: FX Pay Transfers for details about FX Pay Transfers.

Use this API to retrieve transfer charges associated with a specific transaction

Behaviour : A successful response from this API indicates that the requested transfer charges were successfully retrieved.

Body Params

The following fields provide detailed information about the GraphQL query to retrieve charges associated with a particular transaction:

ParameterDescriptionMandatoryData TypeExample
getChargesThis query retrieves charges associated with a particular transaction.YesQuery
inputAn object containing details required to specify the transaction for which charges are to be retrieved.YesObject
savingsAccountIdThe ID of the account associated with the transaction.YesString1234567890
paymentRailThe payment rail through which the transaction is conducted. Specified as FXPAY for foreign exchange payment.YesStringFXPAY
paymentDirectionThe direction of the payment. Specified as OUT for outgoing payments.YesStringOUT
typeThe type of transaction. Specified as CREDIT for credit transactions.YesStringCREDIT
currencyCodeThe currency code associated with the transaction. Specified as USD for US dollars.YesStringUSD
amountThe amount of charges associated with the specified transaction. This field will be returned in the query response.YesFloat15.00
string
required
Defaults to query { getCharges( input: { savingsAccountId: 237 paymentRail: FXPAY paymentDirection: OUT type: CREDIT currencyCode: "USD" } ) { amount } }
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json